Highlighted

AIR SDK Issue with Android Build Tools

Engaged ,
Aug 28, 2015

Copy link to clipboard

Copied

Our latest application requires us to use some of the more recent features of Android which require some of the v7 support libs. To use these you need to use a version 21+ of the android build tools.

Unfortunately the adt fails with those versions of aapt:

aapt tool failed:ERROR: Asset package include '/Applications/Adobe Flash Builder 4.7/eclipse/plugins/com.adobe.flash.compiler_4.7.0.349722/AIRSDK/lib/android/lib/resources/android-res.jar' not found.

This issue seems to be related to a stricter policy with the way assets are included ?

Anyone found a way around this?

This happens with both the current AIR 18 and the beta AIR 19.   

air native extensions // https://airnativeextensions.com
TOPICS
Performance issues

Views

303

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

AIR SDK Issue with Android Build Tools

Engaged ,
Aug 28, 2015

Copy link to clipboard

Copied

Our latest application requires us to use some of the more recent features of Android which require some of the v7 support libs. To use these you need to use a version 21+ of the android build tools.

Unfortunately the adt fails with those versions of aapt:

aapt tool failed:ERROR: Asset package include '/Applications/Adobe Flash Builder 4.7/eclipse/plugins/com.adobe.flash.compiler_4.7.0.349722/AIRSDK/lib/android/lib/resources/android-res.jar' not found.

This issue seems to be related to a stricter policy with the way assets are included ?

Anyone found a way around this?

This happens with both the current AIR 18 and the beta AIR 19.   

air native extensions // https://airnativeextensions.com
TOPICS
Performance issues

Views

304

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Aug 28, 2015 0
Engaged ,
Aug 28, 2015

Copy link to clipboard

Copied

Also this seems relevant: Issue 78354 - android - AAPT 21.0.2 failed to build with error Asset package include '%s' not found....    

air native extensions // https://airnativeextensions.com

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Aug 28, 2015 0